Index: trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1266)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1272)
@@ -7,56 +7,50 @@
 #          Check your compilers option in consequence when using real F95 compilers
 
-#-Q- sx8mercure  # Compiler options NEMO (CEA SX6-NEC) 
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx6 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- sx8mercure  F_F = $(F_O) -f3
-#-Q- sx8mercure  L_X = $(L_O) -ftrace
-#-Q- sx8brodie  # Compiler options NEMO (CEA SX6-NEC) 
-#-Q- sx8brodie  F_O =  -f2003 nocbind -dw -Wf\"-A idbl4\" -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- sx8brodie  F_F = $(F_O) -f3
+#-Q- platine # Compiler options NEMO (CCRT Itanium Bull) 
+#-Q- platine F_O = -O3 -i4 -r8 -module $(MODDIR)/oce -I$(MODDIR) -I$(MODDIR)/oce -I$(NCDF_INC) $(USER_INC) 
+#-Q- platine L_X = $(L_O) 
+#-Q- sx8mercure  # Compiler options NEMO (CEA SX8-NEC) 
+#-Q- sx8mercure  F_O = -f2003 nocbind -size_t64 -dw -Wf\"-A dbl4\" -sx8 -C vopt -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC) 
+#-Q- sx8mercure  L_X = $(L_O)
+#-Q- sx8brodie  # Compiler options NEMO (IDRIS SX8-NEC) 
+#-Q- sx8brodie  F_O =  -f2003 nocbind -dw -Wf\"-A idbl4\" -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- sx8brodie  L_X = $(L_O)
 #-Q- sxdkrz  # Compiler options for NEMO (DKRZ SX6-NEC) 
-#-Q- sxdkrz  F_O =  -f2003 nocbind -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- sxdkrz  F_F = $(F_O) -f3
+#-Q- sxdkrz  F_O =  -f2003 nocbind -ew -sx6 -ftrace -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-pvctl noassume loopcnt=10000" -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- sxdkrz  L_X = $(L_O) -ftrace
 #-Q- eshpux  # Compiler options for NEMO (Earth Simulator)
 #-Q- eshpux  # for super perfs!
-#-Q- eshpux  # F_O = -f2003 nocbind $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- eshpux  # F_O = -f2003 nocbind $(FTRACE) -pi nest=5 line=10000 expin=Fmpplib.F -Wf,-A idbl4 -C hopt -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- eshpux  # regular options!
-#-Q- eshpux  F_O = -f2003 nocbind $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- eshpux  F_F = $(F_O) -f3
+#-Q- eshpux  F_O = -f2003 nocbind $(FTRACE) -Wf,-A idbl4 -C vopt -P stack -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000 -L transform -Wf,-pvctl nomsg -Wf"-O nomsg" -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- eshpux  L_X = $(L_O)
 #-Q- linux  # Compiler options for NEMO (pgf version)
-#-Q- linux  F_O = -Mlist -O3 -byteswapio -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC)
-#-Q- linux  F_F = $(F_O)-Mextend
+#-Q- linux  F_O = -Mlist -O3 -byteswapio -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- linux  L_X = -r8 -O3
 #-Q- lxiv7  # Compiler options for NEMO (ifc version)
-#-Q- lxiv7  F_O = -O3 -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC)
-#-Q- lxiv7  F_F = $(F_O) -extend_source 
+#-Q- lxiv7  F_O = -O3 -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- lxiv7  L_X = -r8 -O3
 #-Q- lxiv8  # Compiler options for NEMO (ifort version)
-#-Q- lxiv8  F_O = -O3 -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC)
-#-Q- lxiv8  F_F = $(F_O) -extend_source 
+#-Q- lxiv8  F_O = -O3 -r8  -I $(MODDIR) -I$(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- lxiv8  L_X = -r8 -O3
 #-Q- g95  # Compiler options for NEMO (g95 version)
-#-Q- g95  F_O = -O3 -fno-second-underscore -r8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- g95  F_F = $(F_O)-ffixed-form -ffixed-line-length-132
+#-Q- g95  F_O = -O3 -fno-second-underscore -r8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- g95  L_X = -r8 -O3
 #-Q- gfortran  # Compiler options for NEMO (gfortran version)
-#-Q- gfortran  F_O = -fno-second-underscore -fdefault-real-8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- gfortran  F_F = $(F_O)-ffixed-form -ffixed-line-length-132
+#-Q- gfortran  F_O = -fno-second-underscore -fdefault-real-8 -funroll-all-loops -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- gfortran  L_X = -fdefault-real-8
 #-Q- aix    # Compiler options for NEMO (aix version)
-#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- aix    F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- aix    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- aix   L_O = $(F_P) -q64 -O3
 #-Q- aix   L_X = $(L_O)
+#-Q- aix6    # Compiler options for NEMO (aix6 version)
+#-Q- aix6    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
+#-Q- aix6   L_O = $(F_P) -q64 -O3
+#-Q- aix6   L_X = $(L_O)
 #-Q- babel  # Compiler options for NEMO (blue gene version)
-#-Q- babel  F_O =  -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- babel  F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- babel  F_O =  -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname=flush -qlargepage -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- babel  L_X = $(L_O)
 #-Q- osxxlf    # Compiler options for NEMO (osxxlf version)
-#-Q- osxxlf    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
-#-Q- osxxlf    F_F = -O3 -qsave -qrealsize=8 -qsuffix=f=f -qsuffix=cpp=F -qfixed=132 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC)
+#-Q- osxxlf    F_O = -O3 -qsave -qrealsize=8 -qsuffix=f=f90 -qsuffix=cpp=F90 -qsource -qextname -qstrict -qmaxmem=-1 -I $(MODDIR) -I $(MODDIR)/oce -I $(NCDF_INC) $(USER_INC)
 #-Q- osxxlf    L_X = -qrealsize=8 -O3
 PREF=
@@ -67,5 +61,5 @@
 
 # add suffix to P_P
-P_P := $(P_P:%=$(prefix)%)
+override P_P := $(P_P:%=$(prefix)%)
 
 # Some tests to define variables related to Agrif compilation
@@ -183,4 +177,5 @@
      key_vvl \
      key_zco \
+     key_zco \
      key_zdfcst \
      key_zdfddm \
@@ -194,9 +189,12 @@
 		$(MODEL_LIB)(lib_isml.o)\
 		$(MODEL_LIB)(lib_print.o)\
+		$(MODEL_LIB)(agrif_oce.o)\
 		$(MODEL_LIB)(agrif_opa_interp.o)\
 		$(MODEL_LIB)(agrif_opa_sponge.o)\
 		$(MODEL_LIB)(agrif_opa_update.o)\
 		$(MODEL_LIB)(agrif_top_interp.o)\
+		$(MODEL_LIB)(agrif_top_sponge.o)\
 		$(MODEL_LIB)(agrif_top_update.o)\
+		$(MODEL_LIB)(agrif_user.o)\
 		$(MODEL_LIB)(albedo.o)\
 		$(MODEL_LIB)(bdy_oce.o)\
@@ -526,7 +524,7 @@
 $(EXEC_BIN) :	libioipsl firstagrif mpiagrif key keyverif src_file_list libagrif $(MODEL_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) agrif2model.o model.o
 ifeq ($(AGRIF),use)
-		$(F_L) $(L_X) -o $(EXEC_BIN) model.o agrif2model.o $(SXMODEL_LIB) $(OASISMPI2_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
+		$(F_L) $(L_X) -o $(EXEC_BIN) model.o agrif2model.o $(SXMODEL_LIB) $(USER_LIB) $(IOIPSL_LIB) $(AGRIF_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
 else
-		$(F_L) $(L_X) -o $(EXEC_BIN) model.o $(SXMODEL_LIB) $(OASISMPI2_LIB) $(IOIPSL_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
+		$(F_L) $(L_X) -o $(EXEC_BIN) model.o $(SXMODEL_LIB) $(USER_LIB) $(IOIPSL_LIB) $(NCDF_LIB) $(LIBMPI) $(LIBMP)
 endif
 
@@ -549,4 +547,5 @@
 	@$(F_C) \
 #-Q- aix		-qsuffix=f=F90 \
+#-Q- aix6		-qsuffix=f=F90 \
 #-Q- babel		-qsuffix=f=F90 \
 #-Q- osxxlf		-qsuffix=f=F90 \
@@ -557,4 +556,5 @@
 #-Q- sxdkrz		-R2 \
 #-Q- eshpux		-R2 \
+#-Q- aix6		-qsource \
 #-Q- aix		-qsource \
 #-Q- babel		-qsource \
@@ -595,4 +595,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- aix6		-qsource \
 #-Q- babel		-qsource \
 		$*.f90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
@@ -603,4 +604,5 @@
 		@if [ -f $*.mod ] ; then mv $*.mod $(MODDIR)/oce ; fi
 #-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
+#-Q- aix6		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
@@ -628,4 +630,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- aix6		-qsource \
 #-Q- babel		-qsource \
 		OPAFILES/$*.F90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; } 
@@ -638,4 +641,5 @@
 #-Q- eshpux		-R2 \
 #-Q- aix		-qsource \
+#-Q- aix6		-qsource \
 #-Q- babel		-qsource \
 		$*.F90 || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
@@ -647,4 +651,5 @@
 		@if [ -f $*.mod ] ; then mv $*.mod $(MODDIR)/oce ; fi
 #-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
+#-Q- aix6		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
 #-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
@@ -652,79 +657,321 @@
 		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
 
-# rules for the .F files
-.F.a :           
-ifeq ($(AGRIF),use) 
-		@$(P_C) $(P_O) -IOPAFILES/AGRIF_INC $*.F > OPAFILES/$*.F 
-		@(cd OPAFILES ; ./conv agrif_opa.in -rm \
-#-Q- linux		-SubloopScalar \
-#-Q- g95			-SubloopScalar \
-#-Q- f95			-SubloopScalar \
-#-Q- osf1			-SubloopScalar \
-		-comdirin ./ -comdirout AGRIF_MODELFILES/. -convfile $*.F)
-		-@mv -f OPAFILES/AGRIF_MODELFILES/$*.F OPAFILES/$*.F
-		@$(P_C) $(P_O) -IOPAFILES/AGRIF_INC OPAFILES/$*.F > OPAFILES/AGRIF_MODELFILES/$*.F
-		-@mv -f OPAFILES/AGRIF_MODELFILES/$*.F OPAFILES/$*.F
-		@$(F_C) $(P_P) $(F_F) \
-#-Q- fjvpp		-Z $*.L \
-#-Q- sx8mercure		-R2 \
-#-Q- sx8brodie		-R2 \
-#-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
-#-Q- aix		-qsource \
-#-Q- babel		-qsource \
-		OPAFILES/$*.F || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; } 
-else
-		@$(F_C) $(P_P) $(F_O) \
-#-Q- fjvpp		-Z $*.L \
-#-Q- sx8mercure		-R2 \
-#-Q- sx8brodie		-R2 \
-#-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
-#-Q- aix		-qsource \
-#-Q- babel		-qsource \
-		$*.F || { if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi ; false ; exit ; }
-endif
-#-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
-		@$(RM) $*.[of]
-		@if [ -f $*.mod ] ; then mv $*.mod $(MODDIR)/oce ; fi
-#-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- linux		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@if [ -f $(PREF)$*.L ] ; then mv $(PREF)$*.L $(TMP) ; fi
-
-# rules for the library from the .f files 
-.f.a : 		
-		@$(F_C) $(F_O) \
-#-Q- fjvpp		-Z $*.L \
-#-Q- sx8mercure		-R2 \
-#-Q- sx8brodie		-R2 \
-#-Q- sxdkrz		-R2 \
-#-Q- eshpux		-R2 \
-#-Q- aix		-qsource \
-#-Q- babel		-qsource \
-		$*.f|| { if [ -f $(PREF)$*.L ] ; then mv $*.L $(TMP) ; fi ; false ; exit ; }
-#-Q- sxdkrz		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-#-Q- eshpux		@$(A_X) $(SXMODEL_LIB) $*.o  > /dev/null
-		@$(A_C) $(MODEL_LIB) $*.o  > /dev/null
-		@$(RM) -f $*.o
-#-Q- aix		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- babel		@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- linux	@mv $(PREF)$*.lst $(PREF)$*.L
-#-Q- osxxlf		@mv $(PREF)$*.lst $(PREF)$*.L
-		@if [ -f $(PREF)$*.L ] ; then mv $*.L $(TMP) ; fi
-
+$(MODEL_LIB)(agrif_oce.o) :	\
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	par_oce.F90 \
+	KEY_CPP \
+	agrif_oce.F90
 $(MODEL_LIB)(agrif_opa_interp.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(agrif_oce.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sol_oce.o) \
+	agrif_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	oce.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	sol_oce.F90 \
+	domzgr_substitute.h90 \
+	vectopt_loop_substitute.h90 \
+	$(AGRIF_LIB) \
+	KEY_CPP \
 	agrif_opa_interp.F90
 $(MODEL_LIB)(agrif_opa_sponge.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	dom_oce.F90 \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	$(MODEL_LIB)(agrif_oce.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	agrif_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	oce.F90 \
+	par_oce.F90 \
+	domzgr_substitute.h90 \
+	$(AGRIF_LIB) \
+	KEY_CPP \
 	agrif_opa_sponge.F90
 $(MODEL_LIB)(agrif_opa_update.o) :	\
+	$(MODEL_LIB)(bdy_oce.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domvvl.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(obc_oce.o) \
+	$(MODEL_LIB)(obc_par.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	bdy_oce.F90 \
+	dom_oce.F90 \
+	domvvl.F90 \
+	in_out_manager.F90 \
+	lbclnk.F90 \
+	lib_mpp.F90 \
+	obc_oce.F90 \
+	obc_par.F90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	sbc_oce.F90 \
+	$(MODEL_LIB)(agrif_oce.o) \
+	$(MODEL_LIB)(cla_div.o) \
+	$(MODEL_LIB)(divcur.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(wzvmod.o) \
+	agrif_oce.F90 \
+	cla_div.F90 \
+	divcur.F90 \
+	dom_oce.F90 \
+	oce.F90 \
+	par_oce.F90 \
+	wzvmod.F90 \
+	domzgr_substitute.h90 \
+	$(AGRIF_LIB) \
+	KEY_CPP \
 	agrif_opa_update.F90
 $(MODEL_LIB)(agrif_top_interp.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	dom_oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	$(MODEL_LIB)(agrif_oce.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(sol_oce.o) \
+	$(MODEL_LIB)(trc.o) \
+	agrif_oce.F90 \
+	dom_oce.F90 \
+	oce.F90 \
+	par_oce.F90 \
+	sol_oce.F90 \
+	trc.F90 \
+	domzgr_substitute.h90 \
+	vectopt_loop_substitute.h90 \
+	$(AGRIF_LIB) \
+	KEY_CPP \
 	agrif_top_interp.F90
+$(MODEL_LIB)(agrif_top_sponge.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	dom_oce.F90 \
+	lib_print.f90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	$(MODEL_LIB)(agrif_oce.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(trc.o) \
+	agrif_oce.F90 \
+	dom_oce.F90 \
+	in_out_manager.F90 \
+	oce.F90 \
+	par_oce.F90 \
+	trc.F90 \
+	domzgr_substitute.h90 \
+	$(AGRIF_LIB) \
+	KEY_CPP \
+	agrif_top_sponge.F90
 $(MODEL_LIB)(agrif_top_update.o) :	\
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	dom_oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	$(MODEL_LIB)(agrif_oce.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(trc.o) \
+	agrif_oce.F90 \
+	dom_oce.F90 \
+	oce.F90 \
+	par_oce.F90 \
+	trc.F90 \
+	domzgr_substitute.h90 \
+	$(AGRIF_LIB) \
+	KEY_CPP \
 	agrif_top_update.F90
+$(MODEL_LIB)(agrif_user.o) :	\
+	$(MODEL_LIB)(agrif_oce.o) \
+	$(MODEL_LIB)(bdy_par.o) \
+	$(MODEL_LIB)(bdyini.o) \
+	$(MODEL_LIB)(c1d.o) \
+	$(MODEL_LIB)(cla_div.o) \
+	$(MODEL_LIB)(cpl_oasis3.o) \
+	$(MODEL_LIB)(cpl_oasis4.o) \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(diaptr.o) \
+	$(MODEL_LIB)(divcur.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(domain.o) \
+	$(MODEL_LIB)(domcfg.o) \
+	$(MODEL_LIB)(dtasal.o) \
+	$(MODEL_LIB)(dtatem.o) \
+	$(MODEL_LIB)(dyncor_c1d.o) \
+	$(MODEL_LIB)(dynspg_oce.o) \
+	$(MODEL_LIB)(eosbn2.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(istate.o) \
+	$(MODEL_LIB)(ldfdyn.o) \
+	$(MODEL_LIB)(ldftra.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(mppini.o) \
+	$(MODEL_LIB)(obc_par.o) \
+	$(MODEL_LIB)(obcini.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(prtctl.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sol_oce.o) \
+	$(MODEL_LIB)(step.o) \
+	$(MODEL_LIB)(step_c1d.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trcini.o) \
+	$(MODEL_LIB)(trdmod.o) \
+	$(MODEL_LIB)(trdmod_oce.o) \
+	$(MODEL_LIB)(wzvmod.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(zdfini.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zpshde.o) \
+	agrif_oce.F90 \
+	bdy_par.F90 \
+	bdyini.F90 \
+	c1d.F90 \
+	cla_div.F90 \
+	cpl_oasis3.F90 \
+	cpl_oasis4.F90 \
+	daymod.F90 \
+	diaptr.F90 \
+	divcur.F90 \
+	dom_oce.F90 \
+	domain.F90 \
+	domcfg.F90 \
+	dtasal.F90 \
+	dtatem.F90 \
+	dyncor_c1d.F90 \
+	dynspg_oce.F90 \
+	eosbn2.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	istate.F90 \
+	ldfdyn.F90 \
+	ldftra.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	mppini.F90 \
+	obc_par.F90 \
+	obcini.F90 \
+	oce.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
+	par_trc.F90 \
+	phycst.F90 \
+	prtctl.F90 \
+	sbc_oce.F90 \
+	sol_oce.F90 \
+	step.F90 \
+	step_c1d.F90 \
+	trc.F90 \
+	trcini.F90 \
+	trdmod.F90 \
+	trdmod_oce.F90 \
+	wzvmod.F90 \
+	zdf_oce.F90 \
+	zdfini.F90 \
+	zdfmxl.F90 \
+	zpshde.F90 \
+	$(MODEL_LIB)(agrif_oce.o) \
+	$(MODEL_LIB)(agrif_opa_interp.o) \
+	$(MODEL_LIB)(agrif_opa_sponge.o) \
+	$(MODEL_LIB)(agrif_opa_update.o) \
+	$(MODEL_LIB)(agrif_top_interp.o) \
+	$(MODEL_LIB)(agrif_top_sponge.o) \
+	$(MODEL_LIB)(agrif_top_update.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(ice_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(opa.o) \
+	$(MODEL_LIB)(par_oce.o) \
+	$(MODEL_LIB)(sol_oce.o) \
+	$(MODEL_LIB)(tradmp.o) \
+	$(MODEL_LIB)(trc.o) \
+	agrif_oce.F90 \
+	agrif_opa_interp.F90 \
+	agrif_opa_sponge.F90 \
+	agrif_opa_update.F90 \
+	agrif_top_interp.F90 \
+	agrif_top_sponge.F90 \
+	agrif_top_update.F90 \
+	dom_oce.F90 \
+	ice_oce.F90 \
+	in_out_manager.F90 \
+	oce.F90 \
+	opa.F90 \
+	par_oce.F90 \
+	sol_oce.F90 \
+	tradmp.F90 \
+	trc.F90 \
+	$(AGRIF_LIB) \
+	KEY_CPP \
+	agrif_user.F90
 $(MODEL_LIB)(albedo.o) :	\
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -2980,8 +3227,11 @@
 	dynldf_lap.F90
 $(MODEL_LIB)(dynnxt.o) :	\
+	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdy_par.o) \
 	$(MODEL_LIB)(bdytides.o) \
+	$(MODEL_LIB)(cla_div.o) \
 	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(divcur.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(dynspg_oce.o) \
@@ -2999,8 +3249,13 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sol_oce.o) \
+	$(MODEL_LIB)(wzvmod.o) \
+	agrif_oce.F90 \
 	bdy_oce.F90 \
 	bdy_par.F90 \
 	bdytides.F90 \
+	cla_div.F90 \
 	daymod.F90 \
+	divcur.F90 \
 	dom_oce.F90 \
 	dynspg_oce.F90 \
@@ -3018,4 +3273,6 @@
 	phycst.F90 \
 	sbc_oce.F90 \
+	sol_oce.F90 \
+	wzvmod.F90 \
 	$(MODEL_LIB)(agrif_opa_interp.o) \
 	$(MODEL_LIB)(agrif_opa_update.o) \
@@ -3284,4 +3541,5 @@
 	dynspg_exp.F90
 $(MODEL_LIB)(dynspg_flt.o) :	\
+	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(bdy_oce.o) \
 	$(MODEL_LIB)(bdy_par.o) \
@@ -3320,4 +3578,5 @@
 	$(MODEL_LIB)(zdf_oce.o) \
 	$(MODEL_LIB)(zpshde.o) \
+	agrif_oce.F90 \
 	bdy_oce.F90 \
 	bdy_par.F90 \
@@ -7701,5 +7960,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_ice_2.o) \
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
@@ -7716,5 +7974,4 @@
 	lib_mpp.F90 \
 	oce.F90 \
-	par_ice_2.F90 \
 	phycst.F90 \
 	prtctl.F90 \
@@ -7767,5 +8024,4 @@
 	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_ice_2.o) \
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
@@ -7780,5 +8036,4 @@
 	lib_mpp.F90 \
 	oce.F90 \
-	par_ice_2.F90 \
 	phycst.F90 \
 	prtctl.F90 \
@@ -8041,5 +8296,4 @@
 	$(MODEL_LIB)(lib_print.o) \
 	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(par_ice_2.o) \
 	$(MODEL_LIB)(par_kind.o) \
 	$(MODEL_LIB)(par_oce.o) \
@@ -8065,5 +8319,4 @@
 	lib_print.f90 \
 	oce.F90 \
-	par_ice_2.F90 \
 	par_kind.F90 \
 	par_oce.F90 \
@@ -8216,4 +8469,5 @@
 	$(MODEL_LIB)(limwri_2.o) \
 	$(MODEL_LIB)(oce.o) \
+	$(MODEL_LIB)(par_ice_2.o) \
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(prtctl.o) \
@@ -8245,4 +8499,5 @@
 	limwri_2.F90 \
 	oce.F90 \
+	par_ice_2.F90 \
 	phycst.F90 \
 	prtctl.F90 \
@@ -9375,4 +9630,5 @@
 	solver.F90
 $(MODEL_LIB)(step.o) :	\
+	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(agrif_opa_interp.o) \
 	$(MODEL_LIB)(agrif_opa_update.o) \
@@ -9505,4 +9761,5 @@
 	$(MODEL_LIB)(zdftke2.o) \
 	$(MODEL_LIB)(zpshde.o) \
+	agrif_oce.F90 \
 	agrif_opa_interp.F90 \
 	agrif_opa_update.F90 \
@@ -11397,5 +11654,8 @@
 	tranpc.F90
 $(MODEL_LIB)(tranxt.o) :	\
+	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(bdy_oce.o) \
+	$(MODEL_LIB)(cla_div.o) \
+	$(MODEL_LIB)(divcur.o) \
 	$(MODEL_LIB)(dom_oce.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
@@ -11410,4 +11670,5 @@
 	$(MODEL_LIB)(phycst.o) \
 	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(trdicp.o) \
 	$(MODEL_LIB)(trdicp_oce.o) \
@@ -11417,6 +11678,10 @@
 	$(MODEL_LIB)(trdvor.o) \
 	$(MODEL_LIB)(trdvor_oce.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
+	$(MODEL_LIB)(wzvmod.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	agrif_oce.F90 \
 	bdy_oce.F90 \
+	cla_div.F90 \
+	divcur.F90 \
 	dom_oce.F90 \
 	in_out_manager.F90 \
@@ -11431,4 +11696,5 @@
 	phycst.F90 \
 	sbc_oce.F90 \
+	sol_oce.F90 \
 	trdicp.F90 \
 	trdicp_oce.F90 \
@@ -11438,4 +11704,5 @@
 	trdvor.F90 \
 	trdvor_oce.F90 \
+	wzvmod.F90 \
 	zdf_oce.F90 \
 	$(MODEL_LIB)(agrif_opa_interp.o) \
@@ -12475,4 +12742,5 @@
 	$(MODEL_LIB)(eosbn2.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -12483,4 +12751,5 @@
 	eosbn2.F90 \
 	lbclnk.F90 \
+	oce.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -14406,4 +14675,5 @@
 	trclsm_pisces.F90
 $(MODEL_LIB)(trcnxt.o) :	\
+	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -14425,4 +14695,5 @@
 	$(MODEL_LIB)(sms_lobster.o) \
 	$(MODEL_LIB)(sms_pisces.o) \
+	$(MODEL_LIB)(sol_oce.o) \
 	$(MODEL_LIB)(trabbl.o) \
 	$(MODEL_LIB)(traqsr.o) \
@@ -14435,4 +14706,5 @@
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
+	agrif_oce.F90 \
 	daymod.F90 \
 	dianam.F90 \
@@ -14454,4 +14726,5 @@
 	sms_lobster.F90 \
 	sms_pisces.F90 \
+	sol_oce.F90 \
 	trabbl.F90 \
 	traqsr.F90 \
@@ -14467,4 +14740,5 @@
 	$(MODEL_LIB)(agrif_top_update.o) \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -14476,4 +14750,5 @@
 	agrif_top_update.F90 \
 	lbclnk.F90 \
+	oce.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -15412,4 +15687,5 @@
 	trcsms_pisces.F90
 $(MODEL_LIB)(trcstp.o) :	\
+	$(MODEL_LIB)(agrif_top_sponge.o) \
 	$(MODEL_LIB)(daymod.o) \
 	$(MODEL_LIB)(dianam.o) \
@@ -15468,4 +15744,5 @@
 	$(MODEL_LIB)(zdfmxl.o) \
 	$(MODEL_LIB)(zpshde_trc.o) \
+	agrif_top_sponge.F90 \
 	daymod.F90 \
 	dianam.F90 \
@@ -15545,4 +15822,5 @@
 	trcstp.F90
 $(MODEL_LIB)(trctrp.o) :	\
+	$(MODEL_LIB)(agrif_oce.o) \
 	$(MODEL_LIB)(agrif_top_interp.o) \
 	$(MODEL_LIB)(agrif_top_update.o) \
@@ -15578,4 +15856,5 @@
 	$(MODEL_LIB)(zdfddm.o) \
 	$(MODEL_LIB)(zdfmxl.o) \
+	agrif_oce.F90 \
 	agrif_top_interp.F90 \
 	agrif_top_update.F90 \
@@ -15611,4 +15890,5 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(agrif_top_sponge.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -15635,4 +15915,5 @@
 	$(MODEL_LIB)(trp_trc.o) \
 	$(MODEL_LIB)(zpshde_trc.o) \
+	agrif_top_sponge.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -15660,4 +15941,5 @@
 	zpshde_trc.F90 \
 	domzgr_substitute.h90 \
+	$(AGRIF_LIB) \
 	KEY_CPP \
 	trctrp.F90
@@ -15817,4 +16099,5 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -15823,4 +16106,5 @@
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
+	oce.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -15895,4 +16179,5 @@
 	zdfddm.F90 \
 	zdfmxl.F90 \
+	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -15901,4 +16186,5 @@
 	$(MODEL_LIB)(trdmld_trc_oce.o) \
 	$(MODEL_LIB)(trp_trc.o) \
+	oce.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -15974,4 +16260,5 @@
 	zdfmxl.F90 \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -15981,4 +16268,5 @@
 	$(MODEL_LIB)(trp_trc.o) \
 	lbclnk.F90 \
+	oce.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -16055,4 +16343,5 @@
 	zdfmxl.F90 \
 	$(MODEL_LIB)(lbclnk.o) \
+	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(prtctl_trc.o) \
@@ -16062,4 +16351,5 @@
 	$(MODEL_LIB)(trp_trc.o) \
 	lbclnk.F90 \
+	oce.F90 \
 	oce_trc.F90 \
 	prtctl_trc.F90 \
@@ -17301,18 +17591,5 @@
 	echo "   use OPA_SRC files"                ; \
 	    ln -sf ../OPA_SRC/*.[Ffh]90          . ; \
-	    ln -sf ../OPA_SRC/DYN/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/TRA/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/TRD/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/DIA/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/DOM/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/OBC/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/FLO/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/LDF/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/ZDF/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/SOL/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/DTA/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/SBC/*.[Ffh]90      . ; \
-	    ln -sf ../OPA_SRC/IOM/*.[Ffh]90      . ; \
-      ln -sf ../OPA_SRC/BDY/*.[Ffh]90      . ; \
+	    ln -sf ../OPA_SRC/*/*.[Ffh]90      . ; \
   fi 
 	@check=`grep LIM_SRC_3 .config`              ; \
@@ -17338,12 +17615,5 @@
       \$(RM) trcini.F90                      ; \
       ln -sf ../TOP_SRC/*.[Ffh]90          . ; \
-      ln -sf ../TOP_SRC/TRP/*.[Ffh]90      . ; \
-      ln -sf ../TOP_SRC/PISCES/*.[Ffh]90   . ; \
-      ln -sf ../TOP_SRC/LOBSTER/*.[Ffh]90  . ; \
-      ln -sf ../TOP_SRC/CFC/*.[Ffh]90      . ; \
-      ln -sf ../TOP_SRC/C14b/*.[Ffh]90     . ; \
-      ln -sf ../TOP_SRC/MY_TRC/*.[Ffh]90   . ; \
-      ln -sf ../TOP_SRC/SED/*.[Ffh]90      . ; \
-      ln -sf ../TOP_SRC/DUMMY/*.[Ffh]90    . ; \
+      ln -sf ../TOP_SRC/*/*.[Ffh]90      . ; \
   fi 
 	@check=`grep OFF_SRC .config`              ; \
@@ -17359,4 +17629,7 @@
       \$(RM) agrif_opa_sponge.F90           ; \
       \$(RM) agrif_opa_update.F90           ; \
+      \$(RM) agrif_top_interp.F90           ; \
+      \$(RM) agrif_top_sponge.F90           ; \
+      \$(RM) agrif_top_update.F90           ; \
       ln -sf ../NST_SRC/*.[Ffh]90      .     ; \
   fi 
Index: trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make.ldef
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make.ldef	(revision 1266)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make.ldef	(revision 1272)
@@ -44,5 +44,6 @@
 #-Q- gfortran  prefix = -D
 #-Q- aix    prefix = -WF,-D
+#-Q- aix6   prefix = -WF,-D
 #-Q- babel  prefix = -WF,-D
 #-Q- osxxlf prefix = -WF,-D
-
+#-Q- platine prefix= -Wp,-D
